open-vm-dkms 2011.12.20-562307-0ubuntu1: open-vm-tools kernel module failed to build

Bug #1275656 reported by Jose Alcolea on 2014-02-03
132
This bug affects 24 people
Affects Status Importance Assigned to Milestone
cunit (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Robert C Jennings
open-vm-tools (Ubuntu)
Critical
Robert C Jennings
Precise
Undecided
Robert C Jennings
Trusty
Undecided
Robert C Jennings
open-vm-tools-lts-trusty (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

[Impact]

 * Failure to build the kernel modules in open-vm-dkms for HWE kernels impedes guest configuration, host/guest file system, desktop copy buffer sharing, etc when running a Precise VM on a VMWare host.
 * This SRU focuses on HWE support for VMWare's vCloud Hybrid Service (vCHS) which requires open-vm-tools from the upstream stable stream (in Trusty) and the 3.9 kernel.
 * These kernel modules from open-vm-dkms have been merged with the upstream kernel as of 3.9
 * Upstream changes only available in the mainline kernel modules and the 9.4.x stable series of open-vm-tools are required to support VMWare's vCloud Hybrid Service (vCHS).

 State of Precise
 * open-vm-tools in Precise is based on an unsupported development snapshot from upstream (http://open-vm-tools.sourceforge.net/)
  * open-vm-dkms fails to build its kernel modules for open-vm-tools on Precise.
  * Kernel modules affected include vmc_vmci and vmc_vsock both of which are host/guest communication. They are used for guest configuration, host/guest file system, desktop copy buffer sharing, etc.
  * This version of open-vm-tools is not supported by upstream or Debian.
  * The modules which fail to build have been merged upstream, with the exception of the host-guest file system (hgfs) module (host <-> guest access must be provided with a remote FS such as CIFS or NFS). These modules are available in v3.9 of the kernel and later (Saucy and later). This vmware knowlegebase article (2073804 http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2073804) maps out when each driver landed upstream but kernel 3.9 includes everything.

 State of Trusty/Upstream
 * open-vm-tools in Debian testing/unstable and Trusty are based on the stable 9.4.x release from upstream.
  * The kernel modules previously shipped by open-vm-dkms are now supported in the upstream kernel (v3.9 and later)
  * The upstream kernel modules and open-vm-tools have received enhancements to support vmware's vCloud Hybrid Service (vCHS) which are not available downstream.

 Changes
 1) back-ported the version of open-vm-tools in Trusty as a separate HWE package (open-vm-tools-hwe).
   * It will not be an upgrade target (does not contain "provides: open-vm-tools") but would require manual installation along with an HWE kernel from Saucy or later. The newer package will not regress open-vm-tools as it exists in Precise.
   * The open-vm-tools for Precise based on the 2011.12.20-562307 development snapshot can still be maintained by the community to support Precise with the stock kernel.
 2) updated the open-vm-tools package in Trusty to replace the open-vm-tools-hwe packages created by this change.

[Test Case]

 * Install Precise with GA packages in a vmware host.
 * Install open-vm-dkms and open-vm-desktop
   * On Precise GA kernel the modules will build.
 * Copy text on the host desktop and attempt to paste into a terminal on the precise guest. This, and the reverse, should work.
 * Drag a file from the file manager on the host to the file manager on the precise guest. This, and the reverse, should work.
 * Upgrade the guest to the current Precise kernel or a new HWE kernel.
   * DKMS packages will fail to build
   * Copy/paste and file drag-and-drop will not function.

 * Additionally, zero-config of the guest from the host, necessary to support vCHS, and memory ballooning will also not function without the fixes.

[Regression Potential]

There is a large delta between this development snapshot in the Precise packages and this stable release package. Were this package to replace the package in Precise there would be a high risk of regression. This is mitigated by introducing the back-port as it's own new package. This package does not provide open-vm-tools-*, only open-vm-tools-hwe-*, so that the original package is still available and this new package is only installed through manual selection by informed users.

[Other Info]

 * The development snapshot in precise is unaffected by the addition of this new package. My intention is to create this 'hwe' package for use with a 3.9 or later kernel to provide support for new virtual hardware enablement of the vCHS cloud. This will allow it to live alongside the open-vm-tools for the precise kernel.

------ Original description ------

ocurred during kernel upgrade

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: open-vm-dkms 2011.12.20-562307-0ubuntu1
ProcVersionSignature: Ubuntu 3.8.0-35.50~precise1-generic 3.8.13.13
Uname: Linux 3.8.0-35-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: amd64
DKMSKernelVersion: 3.8.0-35-generic
Date: Mon Feb 3 09:39:30 2014
InstallationMedia: Ubuntu 12.04.3 LTS "Precise Pangolin" - Release amd64 (20130820.1)
MarkForUpload: True
PackageArchitecture: all
PackageVersion: 2011.12.20-562307-0ubuntu1
SourcePackage: open-vm-tools
Title: open-vm-dkms 2011.12.20-562307-0ubuntu1: open-vm-tools kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)

Jose Alcolea (yonimeveo) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in open-vm-tools (Ubuntu):
status: New → Confirmed
tags: removed: need-duplicate-check
Michael Schaller (misch-9) wrote :

open-vm-dkms 2011.12.20-562307-0ubuntu1 has issues with newer kernels than 3.2.
Can this package be updated whenever a new backport kernel is released?

Robert C Jennings (rcj) on 2014-05-13
description: updated
Robert C Jennings (rcj) wrote :

Packages built from these debdiffs are available currently in ppa:rcj/open-vm-tools

Changed in open-vm-tools (Ubuntu):
assignee: nobody → Robert C Jennings (rcj)
importance: Undecided → Critical
status: Confirmed → In Progress
Robert C Jennings (rcj) wrote :

I need to check the trusty patch again to see if I should be including 'Conflicts:' directives for the open-vm-tools-hwe[-*] packages. I'll update this bug again once I have double checked that absolutely everything is cleaned up on upgrade.

The attachment "New open-vm-tools-hwe package for precise HWE support" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Michael Schaller (misch-9) wrote :

Robert, what are HWE kernels on Precise?
Which of these metapackages will install a HWE kernel?
linux-image-generic-lts-quantal
linux-image-generic-lts-raring
linux-image-generic-lts-saucy
linux-image-generic-lts-trusty

Robert, if you introduce a new package to Precise can you also make sure that there is a transitional package in Trusty?
This would greatly help during a dist-upgrade from Precise to Trusty...

Robert C Jennings (rcj) wrote :

In response to comment #9 from Michael Schaller:
> Robert, what are HWE kernels on Precise?
> Which of these metapackages will install a HWE kernel?
> linux-image-generic-lts-quantal
> linux-image-generic-lts-raring
> linux-image-generic-lts-saucy
> linux-image-generic-lts-trusty

All of those install an HWE kernel, you want Saucy or later. A kernel which is v3.9 or later is required for functionality in these patches and I will clarify in the package description with an update to the patch attached here. I suggest Saucy as of today because it is the supported LTS kernel in Precise as per https://wiki.ubuntu.com/Kernel/LTSEnablementStack#Kernel.2BAC8-Support.Ubuntu_Kernel_Support. The Trusty LTS kernel for Precise is in early preview as of today and will not be supported until 12.04.5 according to that web page.

To make things easier, there is a single meta package you can use to point to the latest HWE kernel, linux[-image]-hwe-generic. Sadly, that package is still pointing to Quantal but I have opened bug #1319471 to correctly point the linux[-image]-hwe-generic packages to linux[-image]-generic-lts-saucy. Hopefully that can be resolved by the time this package becomes available and we'll have simpler guidance on which kernel to use.

> Robert, if you introduce a new package to Precise can you also make sure that there is a transitional package in Trusty?
> This would greatly help during a dist-upgrade from Precise to Trusty...

The second patch does just that, it updates the trusty open-vm-tools packages to provide transitional packages and make for a smooth Precise to Trusty upgrade.

Robert C Jennings (rcj) wrote :

Attaching a diagram to outline the changes here and the upgrade path to Trusty. The packaging is a bit complex due to the fact that some packages upstream are virtual packages and this new package in Precise is bridging the two.

Michael Schaller (misch-9) wrote :

Thanks for the explantion about the 'linux-hwe-generic' package. It being outdated explains why I was confused about it. ;-)
Just to make sure...
Is it correct that 'linux-hwe-generic' should then always depend on the latest supported 'linux-generic-lts-*' package?
Also will 'open-vm-dkms-hwe' then at least suggest 'linux-hwe-generic'?

Just for confirmation... The current 'open-vm-dkms' in Precise would not change because of this change.
This means people will need to manually install 'open-vm-dkms-hwe' and a newer kernel. Correct?

Robert C Jennings (rcj) wrote :

Attaching a debdiff for the backport of trusty's open-vm-tools for precise HWE kernels as open-vm-tools-hwe

v2 changes:
 Add mention of supported HWE kernel to the package descriptions

Robert C Jennings (rcj) wrote :

Attaching a debdiff to update open-vm-tools in trusty so that it replaces open-vm-tools-hwe upon upgrade from precise.

v2 changes:
 Add missing Conflicts directive for precise HWE packages

Chris J Arges (arges) wrote :

Uploaded for P/T, note this will also sync to U. We want to drop this in U, so when U gets merged next please exclude these patches.

Changed in open-vm-tools (Ubuntu Trusty):
status: New → In Progress
Changed in open-vm-tools (Ubuntu Precise):
status: New → In Progress
Robert C Jennings (rcj) wrote :

Attaching a debdiff for the backport of trusty's open-vm-tools for precise HWE kernels as open-vm-tools-lts-trusty

v3 changes:
 Changed name from *-hwe to *-lts-trusty

v2 changes:
 Add mention of supported HWE kernel to the package descriptions

Robert C Jennings (rcj) wrote :

Attaching a debdiff to update open-vm-tools in trusty so that it replaces open-vm-tools-hwe upon upgrade from precise.

v3 changes:
 Rename prior package from *-hwe to *-lts-trusty

v2 changes:
 Add missing Conflicts directive for precise HWE packages

Robert C Jennings (rcj) wrote :

The patches needed to be updated because the package for Precise needed to have it's version corrected.

Prior patch: 2:9.4.0-1280544-5ubuntu6
Corrected: 2:9.4.0-1280544-5ubuntu6~precise1

At the same time I changed the naming from open-vm-tools-hwe to open-vm-tools-lts-trusty as suggested by Stephane.

Robert C Jennings (rcj) wrote :

Just a note that this is currently uploaded to universe but this package has been through a MIR with trusty prior to backport to precise. So we'd like to request that this be in main for precise. I plan on speaking with foundations on Monday for review.

Changed in open-vm-tools (Ubuntu):
status: In Progress → Confirmed
Changed in open-vm-tools (Ubuntu Precise):
status: In Progress → Incomplete
Download full text (6.4 KiB)

Sidnei, is there a reason that you marked Precise as 'Incomplete'? I
am taking Precise and Trusty updates through the SRU process. As
there is no comment associated with the change I'm going to put
Precise back to 'In Progress' as there is an uploaded package awaiting
review from the foundations team. Thank you.

On Fri, May 30, 2014 at 10:11 AM, sidnei mendonça pereira
<email address hidden> wrote:
> ** Changed in: open-vm-tools (Ubuntu)
> Status: In Progress => Confirmed
>
> ** Changed in: open-vm-tools (Ubuntu Precise)
> Status: In Progress => Incomplete
>
> --
> You received this bug notification because you are a member of Canonical
> Cloudware, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/1275656
>
> Title:
> open-vm-dkms 2011.12.20-562307-0ubuntu1: open-vm-tools kernel module
> failed to build
>
> Status in “open-vm-tools” package in Ubuntu:
> Confirmed
> Status in “open-vm-tools” source package in Precise:
> Incomplete
> Status in “open-vm-tools” source package in Trusty:
> In Progress
>
> Bug description:
> [Impact]
>
> * Failure to build the kernel modules in open-vm-dkms for HWE kernels impedes guest configuration, host/guest file system, desktop copy buffer sharing, etc when running a Precise VM on a VMWare host.
> * This SRU focuses on HWE support for VMWare's vCloud Hybrid Service (vCHS) which requires open-vm-tools from the upstream stable stream (in Trusty) and the 3.9 kernel.
> * These kernel modules from open-vm-dkms have been merged with the upstream kernel as of 3.9
> * Upstream changes only available in the mainline kernel modules and the 9.4.x stable series of open-vm-tools are required to support VMWare's vCloud Hybrid Service (vCHS).
>
> State of Precise
> * open-vm-tools in Precise is based on an unsupported development snapshot from upstream (http://open-vm-tools.sourceforge.net/)
> * open-vm-dkms fails to build its kernel modules for open-vm-tools on Precise.
> * Kernel modules affected include vmc_vmci and vmc_vsock both of which are host/guest communication. They are used for guest configuration, host/guest file system, desktop copy buffer sharing, etc.
> * This version of open-vm-tools is not supported by upstream or Debian.
> * The modules which fail to build have been merged upstream, with the exception of the host-guest file system (hgfs) module which has been replaced with an hgfs FUSE helper. These modules are available in v3.9 of the kernel and later (Saucy and later). This vmware knowlegebase article (2073804 http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2073804) maps out when each driver landed upstream but kernel 3.9 includes everything.
>
> State of Trusty/Upstream
> * open-vm-tools in Debian testing/unstable and Trusty are based on the stable 9.4.x release from upstream.
> * The kernel modules previously shipped by open-vm-dkms are now supported in the upstream kernel (v3.9 and later)
> * The upstream kernel modules and open-vm-tools have received enhancements to support vmware's vCloud Hybrid Service (vCHS) which are not available downstrea...

Read more...

Changed in open-vm-tools (Ubuntu Precise):
status: Incomplete → In Progress
assignee: nobody → Robert C Jennings (rcj)
Changed in open-vm-tools (Ubuntu Trusty):
assignee: nobody → Robert C Jennings (rcj)

Hello Jose, or anyone else affected,

Accepted open-vm-tools-lts-trusty into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/open-vm-tools-lts-trusty/2:9.4.0-1280544-5ubuntu6~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Changed in open-vm-tools (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in open-vm-tools (Ubuntu Trusty):
status: In Progress → Fix Committed
Stéphane Graber (stgraber) wrote :

Hello Jose, or anyone else affected,

Accepted open-vm-tools into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/open-vm-tools/2:9.4.0-1280544-5ubuntu6.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Robert C Jennings (rcj) wrote :

Regarding the missing build dependency, libdumbnet-dev, in main. This package was promoted from universe to main for Trusty, the MIR is in bug #1220950. The only dependency for libdumbnet-dev or libdumbnet1 is libc6 which is already in main.

Robert C Jennings (rcj) wrote :

Opened bug #1326025 to SRU libdumbnet changes from trusty back to precise prior to moving that package into main.

Changed in open-vm-tools (Ubuntu):
status: Confirmed → Invalid
no longer affects: open-vm-tools (Ubuntu Trusty)
Changed in open-vm-tools (Ubuntu):
status: Invalid → Fix Released
Changed in cunit (Ubuntu):
status: New → Invalid
no longer affects: cunit (Ubuntu Trusty)
Changed in cunit (Ubuntu Precise):
status: New → In Progress
no longer affects: cunit (Ubuntu Trusty)
Changed in open-vm-tools (Ubuntu Trusty):
status: New → Fix Committed
Colin Watson (cjwatson) wrote :

Hello Jose, or anyone else affected,

Accepted cunit into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cunit/2.1-0.dfsg-9build1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cunit (Ubuntu Precise):
status: In Progress → Fix Committed
Stéphane Graber (stgraber) wrote :

Sorry for the mess, just added a cunit task for the no change rebuild required to get it moved to main.

As far as testing is concerned, building open-vm-tools-lts-trusty against it should be sufficient to check that it works as expected.

Robert C Jennings (rcj) wrote :

Verified functionality with open-vm-tools-lts-trusty on precise. Upgrade from open-vm-tools to open-vm-tools-lts-trusty on precise worked fine. Copy/Paste buffer sharing and file drag-and-drop between host and guest work.

Verified upgrade from open-vm-tools-lts-trusty to open-vm-tools when moving from precise to trusty. I started with a clean trusty installation, removed its open-vm-tools package, changed the apt sources to point to precise with -proposed, installed open-vm-tools-lts-trusty, then switched apt sources back to trusty and performed a dist-upgrade.

tags: added: verification-done
removed: verification-needed
Robert C Jennings (rcj) wrote :

Marking as verification failed. The open-vm-tools-lts-trusty package does not have a provides for open-vm-tools which broke a package which depends on open-vm-tools

tags: added: verification-failed
removed: verification-done
Robert C Jennings (rcj) wrote :

The trusty package is fine, but I'll update the precise package

Ben Howard (darkmuggle) wrote :

The other piece that is missing is that zerofree needs to be SRU'd to main as well. Otherwise, open-vm-tools-lts-trusty won't install purely from main.

Robert C Jennings (rcj) on 2014-06-07
Changed in open-vm-tools (Ubuntu Precise):
status: Fix Committed → In Progress
Changed in open-vm-tools (Ubuntu Trusty):
assignee: nobody → Robert C Jennings (rcj)
Changed in cunit (Ubuntu Precise):
assignee: nobody → Robert C Jennings (rcj)

> The other piece that is missing is that zerofree needs to be SRU'd to
> main as well. Otherwise, open-vm-tools-lts-trusty won't install purely
> from main.

Not sure that promotion to main is required for that. The zerofree
package is recommended but not required.

That recommendation came from debian bug
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=472799 because someone
thought it would be useful to VMWare users looking to shrink their disk
images. I'd argue that 'Suggests:' is a better choice as the
relationship is weak; maybe we can do that if the 'Recommends:' is
causing problems. Or just promote zerofree is no one cares.

Robert C Jennings (rcj) on 2014-06-09
tags: added: verification-failed-precise verification-needed
removed: verification-failed
tags: added: verification-needed-trusty
removed: verification-needed
Robert C Jennings (rcj) wrote :

Marking as verification done. I had failed verification erroneously and I have re-verified to make sure this is correct.

I had previously failed this due to an install failure for a 3rd party package from VMWare, thinking that the problem was in the control file for this new package in precise. After a bit of testing and education I have learned that the 3rd party package is requiring open-vm-tools and specifying a particular version range. The virtual package in the backport can't satisfy specific version requirements so the 3rd party package must be updated with knowledge of the new open-vm-tools-lts-trus-needed-trusty package. With that resolved and the packages re-verified I have set the tags and distribution/package status so that these can be promoted from -proposed.

tags: added: verification-done
removed: verification-failed-precise verification-needed-trusty
Changed in open-vm-tools (Ubuntu Precise):
status: In Progress → Fix Committed
Ben Howard (darkmuggle) wrote :

I've also verified this. Everything looks good from my perspective.

tags: added: verification-precise-done veriifcation-trusty-done
Alex Bligh (ubuntu-alex-org) wrote :
Download full text (4.0 KiB)

Hi,

I tried to test this and couldn't get it to work, though I may have done something stupid.

I run precise, and upgraded to the lts-trusty kernel. I then removed open-vm-tools (& friends), and inserted the custom built precise package.

That all worked fine, but I still can't mount vmhgfs as I did before I did the kernel upgrade in the first place (more precisely, my /etc/fstab line worked, whereas now the system still hangs on boot until I press 'S' at the console). I note the above says "The modules which fail to build have been merged upstream, ***with the exception of the host-guest file system (hgfs) module which has been replaced with an hgfs FUSE helper***. These modules are available in v3.9 of the kernel and later (Saucy and later)" (my emphasis).

That rather implies that the FUSE helper is now included within the package(s). If so, how do I use it as the previous syntax does not appear to work. If not, how does one get the FUSE helper?

Alex

amb@nimrod-ubuntu:~$ fgrep vmhgfs /etc/fstab
.host:/amb-nimrod /home/amb/nimrod vmhgfs none 0 0
amb@nimrod-ubuntu:~$ sudo mount -t vmhgfs .host:/amb-nimrod /home/amb/nimrod
Error: cannot mount filesystem: No such device
amb@nimrod-ubuntu:~$ uname -a
Linux nimrod-ubuntu 3.13.0-29-generic #53~precise1-Ubuntu SMP Wed Jun 4 22:06:25 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
amb@nimrod-ubuntu:~$ dpkg --list | egrep '(open-vm|linux-image|linux-headers)'
ii linux-headers-3.13.0-29 3.13.0-29.53~precise1 Header files related to Linux kernel version 3.13.0
ii linux-headers-3.13.0-29-generic 3.13.0-29.53~precise1 Linux kernel headers for version 3.13.0 on 64 bit x86 SMP
ii linux-headers-3.2.0-64 3.2.0-64.97 Header files related to Linux kernel version 3.2.0
ii linux-headers-3.2.0-64-generic 3.2.0-64.97 Linux kernel headers for version 3.2.0 on 64 bit x86 SMP
ii linux-headers-3.8.0-35 3.8.0-35.52~precise1 Header files related to Linux kernel version 3.8.0
ii linux-headers-3.8.0-35-generic 3.8.0-35.52~precise1 Linux kernel headers for version 3.8.0 on 64 bit x86 SMP
ii linux-headers-generic 3.2.0.64.76 Generic Linux kernel headers
ii linux-headers-generic-lts-trusty 3.13.0.29.25 Generic Linux kernel headers
ii linux-image-3.13.0-29-generic 3.13.0-29.53~precise1 Linux kernel image for version 3.13.0 on 64 bit x86 SMP
ii linux-image-3.2.0-48-generic 3.2.0-48.74 Linux kernel image for version 3.2.0 on 64 bit x86 SMP
ii linux-image-3.2.0-57-generic 3.2.0-57.87 Linux kernel image for version 3.2.0 on 64 bit x86 SMP
ii linux-image-3.2.0-58-generic 3.2.0-58.88 Linux kernel image for version 3.2.0 on 64 bit x86 SMP
ii linux-image-3.2.0-64-generic 3.2.0-64....

Read more...

Alex Bligh (ubuntu-alex-org) wrote :

Further playing about suggests I need (somehow) vmware-hgfsclient, but the package seems devoid of any documentation or manual pages.

Robert C Jennings (rcj) wrote :

Alex Bligh,
The description text was not up to date and I am correcting it. When the kernel modules from the dkms package were taken to the Linux kernel community the vmhgfs module was not accepted and vmhgfs is no longer supported. The current options for file access between the host and guest would be standard remote file systems such as CIFS or NFS. Additionally, file drag-and-drop is functional and provided by open-vm-tools-lts-trusty-desktop.

description: updated
tags: added: verifcation-trusty-done
removed: veriifcation-trusty-done
Alex Bligh (ubuntu-alex-org) wrote :

That's a shame, but thanks for the info.

Ben Howard (darkmuggle) wrote :

Failing the verification. Installing open-vm-tools-lts-trusty does not include /etc/init.d/open-vm-tools, which means that the services don't automatically start.

tags: added: verification-failed
removed: amd64 apport-package verifcation-trusty-done verification-done verification-precise-done

Hello Jose, or anyone else affected,

Accepted open-vm-tools-lts-trusty into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/open-vm-tools-lts-trusty/2:9.4.0-1280544-5ubuntu6~precise2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-failed
tags: added: verification-needed
Ben Howard (darkmuggle) wrote :

Marking as verification done. I've confirmed that the last patch fixes the packaging issues and that the daemon now runs.

tags: added: verification-donee
removed: verification-needed
tags: added: verification-done
removed: verification-donee
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cunit - 2.1-0.dfsg-9build1

---------------
cunit (2.1-0.dfsg-9build1) precise-proposed; urgency=medium

  * No change rebuild so we can actually publish this into updates and
    override it to main... (LP: #1275656)
 -- Stephane Graber <email address hidden> Wed, 04 Jun 2014 14:09:21 -0400

Changed in cunit (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cunit has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Robert C Jennings (rcj) on 2014-06-17
Changed in open-vm-tools (Ubuntu Trusty):
status: Fix Committed → In Progress
Robert C Jennings (rcj) wrote :

I have fixed an issue infinity found in the trusty-proposed package. There was a problem with the package relationships between the new and transitional packages. The latest revision in this branch has a fix for those relationships; namely the transitional package depends on the new package, while the new package Breaks/Replaces the transitional package with a version less than this trusty branch. The tree has been posted and a merge request made @ https://code.launchpad.net/~rcj/ubuntu/trusty/open-vm-tools/trusty-proposed/+merge/223331 or debdiff @ http://paste.ubuntu.com/7656026/

Next actions:
 Patch needs review and upload
 Need review for trusty SRU for -proposed

Robert C Jennings (rcj) wrote :

Attaching a debdiff to update open-vm-tools in trusty so that it replaces open-vm-tools-hwe upon upgrade from precise.

v4 changes:
 Fix up Breaks/Replaces for transitional packages

v3 changes:
 Rename prior package from *-hwe to *-lts-trusty

v2 changes:
 Add missing Conflicts directive for precise HWE packages

Hello Jose, or anyone else affected,

Accepted open-vm-tools into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/open-vm-tools/2:9.4.0-1280544-5ubuntu6.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in open-vm-tools (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Robert C Jennings (rcj) on 2014-06-17
tags: added: verification-done-precise
Robert C Jennings (rcj) wrote :

I have verified the trusty package in proposed (open-vm-tools 2:9.4.0-1280544-5ubuntu6.2).

Package upgrades:
* Upgrade from the precise-proposed packages worked correctly.
* Upgrade from the trusty 2:9.4.0-1280544-5ubuntu6 version worked as well.

Trusty functionality:
 * Copied text on the host desktop and pasted into a terminal on the trusty guest. (Reverse also worked)
 * Dragged a file from the file manager on the host to the file manager on the trusty guest. (Reverse also worked)
 * Resize of the vmware workstation window resized the trusty vm's desktop

tags: added: verification-done verification-done-trusty
removed: verification-needed
Adam Conrad (adconrad) on 2014-06-19
Changed in open-vm-tools (Ubuntu Precise):
status: Fix Committed → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package open-vm-tools-lts-trusty - 2:9.4.0-1280544-5ubuntu6~precise2

---------------
open-vm-tools-lts-trusty (2:9.4.0-1280544-5ubuntu6~precise2) precise; urgency=medium

  * Renamed debian/open-vm-tools* to debian/open-vm-tools-lts-trusty (LP: #1275656)

open-vm-tools-lts-trusty (2:9.4.0-1280544-5ubuntu6~precise1) precise; urgency=medium

  * Backport Trusty open-vm-tools to Precise as an HWE package (LP: #1275656)
 -- Ben Howard <email address hidden> Thu, 12 Jun 2014 16:50:59 -0600

Changed in open-vm-tools-lts-trusty (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package open-vm-tools - 2:9.4.0-1280544-5ubuntu6.2

---------------
open-vm-tools (2:9.4.0-1280544-5ubuntu6.2) trusty; urgency=medium

  * Fix up Conflicts/Replaces for transitional packages (LP: #1275656)
 -- Robert C Jennings <email address hidden> Mon, 16 Jun 2014 19:47:50 -0500

Changed in open-vm-tools (Ubuntu Trusty):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) on 2014-06-19
Changed in open-vm-tools-lts-trusty (Ubuntu):
status: New → Invalid

How do I download the fix? I am using a fresh install of "Securityonion-12.04.5-20140908" and still receive this crash report after updating Ubuntu as of 1/31/2015.

My system version:

Distributor ID: Ubuntu
Description: Ubuntu 12.04.5 LTS
Release: 12.04
Codename: precise

To post a comment you must log in.